﻿Imports System.Xml

Module Module1

    Sub Main()

        Dim oznaka() As String
        Dim tecaj() As Single
        Dim n As Integer

        Dim xmlDoc As New XmlDocument

        ' Iz XML dokumenta so odstranjeni imenski prostori
        ' xmlDoc.Load("dtecbs-popravljen.xml")
        ' Dim xmlDtecBS As XmlElement = xmlDoc.DocumentElement()
        ' Dim xmlTecajList As XmlNodeList = xmlDtecBS.SelectNodes("tecajnica/tecaj")

        ' Originalen XML dokument
        xmlDoc.Load("dtecbs.xml")
        Dim xmlDtecBS As XmlElement = xmlDoc.DocumentElement()
        Dim xmlNSM As XmlNamespaceManager = New XmlNamespaceManager(xmlDoc.NameTable)
        xmlNSM.AddNamespace("dtecbs", xmlDtecBS.Attributes.GetNamedItem("xmlns").Value)
        Dim xmlTecajList As XmlNodeList = xmlDtecBS.SelectNodes("dtecbs:tecajnica/dtecbs:tecaj", xmlNSM)

        ' Od tu naprej je v obeh primerih enako

        ' Število tečajev
        n = xmlTecajList.Count

        ' Naredimo prostor za podatke
        ReDim oznaka(n)
        ReDim tecaj(n)

        ' XML podatke preberemo in zapišemo v polja
        Dim i As Integer
        For Each xmlTecaj As XmlNode In xmlTecajList
            i = i + 1

            oznaka(i) = xmlTecaj.Attributes.GetNamedItem("oznaka").Value

            ' Slo Windows nastavitve imajo privzet decimalni simbol ","!!
            Dim t As String = xmlTecaj.InnerText
            tecaj(i) = t.Replace(".", ",")
        Next

        ' Neskončna zanka
        Do
            Console.Write("Vnesi znasek in valuto (npr. 30 EUR): ")
            Dim vrstica As String = Console.ReadLine()

            ' Če je vrstica prazna, končaj s programom
            If vrstica = "" Then
                End
            End If

            ' v besede(0) je znesek, v besede(1) je valuta
            Dim besede() As String = vrstica.Split()
            Dim znesek As Single = besede(0)
            Dim valuta As String = besede(1)

            ' Če je uporabnik vpisal ynesek v EUR potem preračunaj znesek v 
            ' vse preostale valute in izpiši tabelo sicer
            ' pretvori znesek v EUR in izpiši.
            If valuta.ToLower() = "eur" Then
                Console.WriteLine("Podan znesek je v drugih valutah ... ")
                For i = 1 To n
                    Console.WriteLine("{0,10} {1}", tecaj(i) * znesek, oznaka(i))
                Next
            Else
                Dim naselValuto As Boolean = False
                For i = 1 To n
                    If oznaka(i).ToLower = valuta.ToLower Then
                        naselValuto = True
                        Console.WriteLine("Podan znesek je {0} EUR", znesek / tecaj(i))
                    End If
                Next

                If naselValuto = False Then
                    Console.WriteLine("Napak! Za podano valuto ni podatka o tečaju!")
                End If
            End If

            Console.WriteLine()
        Loop While 1

    End Sub

End Module
